Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F161433966
D57686.id180107.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
344 B
Referenced Files
None
Subscribers
None
D57686.id180107.diff
View Options
diff --git a/libexec/rc/rc.d/ddb b/libexec/rc/rc.d/ddb
--- a/libexec/rc/rc.d/ddb
+++ b/libexec/rc/rc.d/ddb
@@ -20,8 +20,8 @@
ddb_prestart()
{
# Silently exit if ddb is not enabled
- if [ -z "`sysctl -Nq debug.ddb.scripting.scripts`" ]; then
- return 1
+ if ! ${SYSCTL_N} -q debug.ddb.scripting.script >/dev/null; then
+ exit 1
fi
}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Jul 4, 5:30 PM (2 h, 28 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34128950
Default Alt Text
D57686.id180107.diff (344 B)
Attached To
Mode
D57686: rc.d/ddb: Really silently exit
Attached
Detach File
Event Timeline
Log In to Comment